/*
 *   Copyright (C) 1988-2006 Lucent Technologies Inc. and others.
 *   All Rights Reserved.
 */

/*	cscope - interactive C symbol cross-reference
 *
 *	mouse menu functions
 */

#include "global.h"

static	MOUSEMENU mainmenu[] = {
	"Send",		"##\033s##\r",
	"Repeat",	"\01",
	"Rebuild",	"\022",
	"Help",		"?",
	"Exit",		"\04",
	0,		0
};

static	MOUSEMENU changemenu[] = {
	"Mark Screen",	"*",
	"Mark All",	"a",
	"Change",	"\04",
	"Continue",	"\b",	/* key that will be ignored at Select prompt */
	"Help",		"?",
	"Exit",		"\r",
	0,		0
};

/* initialize the mouse menu */

void
initmenu()
{
	if (changing == YES) {
		downloadmenu(changemenu);
	}
	else {
		downloadmenu(mainmenu);
	}
}
